function uncPlot(X,Y,color)
% uncPlot(X,Y,color) 
% Recieves a matrix, Y that is AxB with A uncertainties of vectors B and X the axis on which to plot 
% the area and a color of which to plot.
% between greatest and lowest uncertainty vector and also
% indicating uncertainty
        [m,lower] = min(Y(:,2)); %#ok
        [n,upper] = max(Y(:,2)); %#ok
        
        middle = Y(:,2) == median(Y(:,2));
        figure
        size(X)
        size(Y(upper,:))
        h(1,1) = area(X,Y(upper,:));
        hold on
        h(1,1).EdgeColor = 'w';
        h(1,1).EdgeAlpha = .1;
        h(1,1).FaceColor = color;
        h(1,1).FaceAlpha = .1;
        h(2,1) = area(X,Y(lower,:));
        h(2,1).EdgeColor  = 'w';
        h(2,1).FaceColor = 'w';
        plot(X,Y(middle,:),color)
end
