function [Area, h] = areaFromVol2(a,c,V,shape)    
% Old volume calculation

if strcmp(shape,'Ellipsoid') || strcmp(shape,'ellipsoid')

%Find the roots for the equation
syms aeq ceq Veq positive


h = zeros(size(V));
Area = zeros(size(V));
    
for i = 1:length(V(:,1))
    for j = 1:length(V(1,:))
    
        r = roots([-pi/3.*((a(i)./c(i)).^2),pi.*(a(i).^2)./c(i),0, -V(i,j)]);

        r = r(abs(imag(r)) < 10^-20);
        r = r(real(r)>0);
        %From website
        y = r;
        y = y(y>0);

        y = y(y < c(i));
        %from old
  %     y = rtemp(rtemp<(c(i)));
        h(i,j) = real(y);
      %  h(i,j) = 0.00219; 
        %   Area(i,j) = pi*a(i).*(c(i).*asin(1)-(c(i)-h(i,j)).*sqrt(1-((c(i)-h(i,j))./c(i)).^2)-c(i).*asin((c(i)-h(i,j))./c(i))); %[m^2]
        %   fun = @(x) 2*pi.*a(i).*sqrt(1-x.^2./c(i).^2);
        %   Area(i,j) = integral(fun,c(i)-h(i,j),c(i));
        %   sphere 

      %     Area(i,j) = 2*pi*h(i,j).*a(i);
      
%           fun = @(t) 2*pi*a(i).*cos(t).*sqrt((a(i).*sin(t)).^2+(c(i).*cos(t)).^2);
%           Area(i,j) = integral(fun,asin((c(i)-h(i))./c(i)),pi/2);

%           fun = @(x) 2*pi*x.*sqrt(1+c(i).^2.*x.^2./a(i).^4/(1-x.^2./a(i).^2));
%        	Area(i,j) = integral(fun,c(i)-h(i),c(i));
            
            %Area of aircell
            
           funAC = @(y) 2*pi*a(i)./c(i).*sqrt(c(i).^2-(c(i).^2-a(i).^2)./c(i).^2.*y.^2);
           Area(i,j) = integral(funAC,c(i)-h(i,j),c(i));
           

    end

end

elseif strcmp(shape,'Sphere') || strcmp(shape,'sphere')
    
    h = zeros(size(V));
    Area = zeros(size(V));
    for i = 1:length(V(:,1))
        for j = 1:length(V(1,:))
            h(i,j) = (V(i,j)*3/2/pi).^(1/3);
            Area(i,j) = 2*pi*h(i,j).^2;
        end
   end
   
end


