function Area = areaWholeEgg(a,c,total_height)    

c_blunt = c;
c_pointy = total_height - c;
Area = zeros(length(a),1);
    
for i = 1:length(a)
    %Function of blunt side of eggshell
           funBlunt = @(y) 2*pi*a(i)./c_blunt(i).*sqrt(c_blunt(i).^2-(c_blunt(i).^2-a(i).^2)./c_blunt(i).^2.*y.^2);
    %Function of pointy side of eggshell
           funPointy = @(y) 2*pi*a(i)./c_pointy(i).*sqrt(c_pointy(i).^2-(c_pointy(i).^2-a(i).^2)./c_pointy(i).^2.*y.^2);
      %Area is the sum of the 2
           Area(i) = integral(funBlunt,0,c_blunt(i))+integral(funPointy,0,c_pointy(i));

end



